%global modulename columnify

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-columnify
Version:        1.5.4
Release:        1%{?dist}
Summary:        Render data in text columns. Supports in-column text-wrap.

License:        MIT
URL:            https://github.com/timoxley/columnify
Source0:        https://registry.npmjs.org/columnify/-/columnify-1.5.4.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(strip-ansi) >= 3.0.0 with npmlib(strip-ansi) < 4.0.0))
BuildRequires:  ((npmlib(wcwidth) >= 1.0.0 with npmlib(wcwidth) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Render data in text columns. Supports in-column text-wrap.

%package 1.5.4
Summary:        Render data in text columns. Supports in-column text-wrap.


%description 1.5.4
Render data in text columns. Supports in-column text-wrap.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Makefile %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr columnify.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr utils.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr width.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc Readme.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.5.4
%doc Readme.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.5.4-1
- Package automatically generated by npm2srpm
